# Bio.SCOP.Dom module

Handle the SCOP DOMain file.

The DOM file has been officially deprecated. For more information see the SCOP”release notes.”:http://scop.berkeley.edu/release-notes-1.55.html The DOM files for older releases can be found “elsewhere at SCOP.”:http://scop.mrc-lmb.cam.ac.uk/scop/parse/

class Bio.SCOP.Dom.Record(line=None)

  Bases: `object`

  Holds information for one SCOP domain.

  Attributes:

    - sid - The SCOP ID of the entry, e.g. d1anu1

    - residues - The domain definition as a Residues object

    - hierarchy - A string specifying where this domain is in the hierarchy.

  __init__(line=None)

    Initialize the class.

  __str__()

    Represent the SCOP domain record as a tab-separated string.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 18
  __static_attributes__ = ('hierarchy', 'residues', 'sid')

Bio.SCOP.Dom.parse(handle)

  Iterate over a DOM file as a Dom record for each line.

  Arguments:

    - handle – file-like object.

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub